Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: OpenSuse Leap 15.2 : méfiez-vous du paquetage smb4k ! (Lu 203 fois) sujet précédent - sujet suivant

OpenSuse Leap 15.2 : méfiez-vous du paquetage smb4k !

Bonjour,
Voici mon témoignage sur les aventures vécues avec la Leap 15.2 en essayant d'installer le paquetage smb4k.

Configuration:
- processeur  Intel Core2 Duo CPU E6550 2.33GHz
- mémoire vive 8Go
- CM MSI de 2008
- carte graphique Nvidia 8400 GS

Fonctionnement sans problèmes avec la Leap 15.1, avec le pilote graphique propriétaire nvidia-glG03.
Le paquetage smb4k était installé et ne provoquait pas de perturbations.

Maintenant, avec la Leap 15.2, Nvidia ne fournit plus de paquetage proprétaire nvidia-glG03.
J'utilise donc le pilote "nouveau". Voir topic https://www.alionet.org/index.php?topic=611.0

Maintenant, voici le vif du sujet :
Installation de smb4k via le site https://software.opensuse.org/

Pas de paquet officiel pour la 15.2, il me propose des paquets expérimentaux.
N'ayant jamais eu de souci avec les paquets expérimentaux (j'en installe peut-être peu), j'ai lancé l'installation.

Un avertissement me dit :
smb4k requiert libQt5Core.so.5, mais cette dépendance ne peut pas être fournie.
Néanmoins, il propose de résoudre en installant d'autres paquets en Qt5.
La quantité est importante : plus de 118.
La Leap 15.2 étant en Qt5, j'ai accepté.

Résultat : au démarrage suivant, à l'ouverture de session:
-les fenêtres ont perdu leur cadre supérieur
-la croix de fermeture a disparu
-la fenêtre active n'est plus au premier plan
-pour fermer une fenêtre, il faut utiliser le menu "fichier", et/ou Control Q

C'est apparament déjà arrivé dans d'autres configs non Opensuse il y a quelques années. Le pilote Nvidia était incriminé. Mais ici, ce n'est pas lui qui est présent.
Rien à faire pour corriger ça. J'ai dû restaurer une sauvegarde fonctionnelle.

Morale de l'histoire :
Méfiez-vous de smb4k, et si vous installez des paquets expérimentaux qui impactent Qt5, faites une sauvegarde de votre système fonctionnel auparavant.

A+

Wallace